/* convert old zyxel files into new files */

say "This script converts old zyxel files so that they're usable on 6.12 roms."
say 'You should make a backup of your old voice files first.  Have you done this? (y/n)'
parse upper pull answer
if answer = 'Y' then do

  /* needed for some of the functions we use */
  call addlib("rexxsupport.library", 0, -30, 0)

  /* change directory to avm:voices */
  call pragma('d', 'avm:voices')

  /* get all the files there */
  files = showdir('', 'f')

  numfiles = words(files)

  do i = 1 to numfiles
    filename = word(files, i)
    address command 'setenv AVMZYXEL612 NO'
    say 'Converting' filename
    address command 'avm:adpcm2iff' filename 'ram:temptozyx.iff'
    address command 'setenv AVMZYXEL612 YES'
    address command 'avm:iff2adpcm' 'ram:temptozyx.iff' 'ADPCM2' 'avm:voices/' || filename
  end
end



